<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddImeFirewallReq StructType
 * @subpackage Structs
 */
class AddImeFirewallReq extends APIRequest
{
    /**
     * The imeFirewall
     * @var XImeFirewall
     */
    public $imeFirewall;
    /**
     * Constructor method for AddImeFirewallReq
     * @uses AddImeFirewallReq::setImeFirewall()
     * @param XImeFirewall $imeFirewall
     */
    public function __construct(XImeFirewall $imeFirewall = null)
    {
        $this
            ->setImeFirewall($imeFirewall);
    }
    /**
     * Get imeFirewall value
     * @return XImeFirewall|null
     */
    public function getImeFirewall()
    {
        return $this->imeFirewall;
    }
    /**
     * Set imeFirewall value
     * @param XImeFirewall $imeFirewall
     * @return AddImeFirewallReq
     */
    public function setImeFirewall(XImeFirewall $imeFirewall = null)
    {
        $this->imeFirewall = $imeFirewall;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddImeFirewallReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
